;;;; autoload.jl -- Initialise auto-load functions
;;;  Copyright (C) 1993, 1994 John Harper <jsh@ukc.ac.uk>

;;; This file is part of Jade.

;;; Jade is free software; you can redistribute it and/or modify it
;;; under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2, or (at your option)
;;; any later version.

;;; Jade is distributed in the hope that it will be useful, but
;;; WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.

;;; You should have received a copy of the GNU General Public License
;;; along with Jade; see the file COPYING.  If not, write to
;;; the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

;;; ::autoload-start::
(autoload 'debug-entry "debug")
(autoload 'debug-error-entry "debug")
(autoload 'ask-yes-or-no "ask")
(autoload 'ask-y-or-n "ask")
(autoload 'c-mode "c-mode")
(autoload 'c-mode-insert-comment "c-mode")
(autoload 'start-compile-command "compile")
(autoload 'compile "compile")
(autoload 'next-error "compile")
(autoload 'grep "compile")
(autoload 'grep-buffer "compile")
(autoload 'compile-file "compiler")
(autoload 'compile-directory "compiler")
(autoload 'compile-lisp-lib "compiler")
(autoload 'compile-top-level-form "compiler")
(autoload 'disassemble-fun "disassembler")
(autoload 'disassemble "disassembler")
(autoload 'add-change-log-entry "add-log")
(autoload 'texinfo-mode "texinfo-mode")
(autoload 'info "info")
(autoload 'fill-mode "fill-mode")
(autoload 'fill-mode-on "fill-mode")
(autoload 'set-fill-column "fill-mode")
(autoload 'server-open-file "server")
(autoload 'server-close-file "server")
(autoload 'lisp-mode "lisp-mode")
(autoload 'eval-paragraph "lisp-mode")
(autoload 'eval-insert-paragraph "lisp-mode")
(autoload 'eval-print-paragraph "lisp-mode")
(autoload 'text-mode "text-mode")
(autoload 'indented-text-mode "text-mode")
(autoload 'center-line "text-mode")
(autoload 'center-paragraph "text-mode")
(autoload 'add-autoloads "find-autoloads")
(autoload 'remove-autoloads "find-autoloads")
(autoload 'replace-all "replace")
(bind-keys esc-keymap "%" 'query-replace)
(autoload 'query-replace "replace")
(bind-keys global-keymap "Ctrl-s" 'isearch-forward)
(autoload 'isearch-forward "isearch")
(bind-keys global-keymap "Ctrl-r" 'isearch-backward)
(autoload 'isearch-backward "isearch")
(bind-keys global-keymap "Ctrl-h" 'help "HELP" 'help)
(autoload 'help "help")
(autoload 'describe-mode "help")
(autoload 'documentation "help")
(autoload 'document-var "help")
(autoload 'asm-mode "asm-mode")
(autoload 'asm-cpp-mode "asm-mode")
;;; ::autoload-end::
